Subject: bug#1348: set-frame-width and set-frame-position seem buggy on at least MSWindows

From: "Themba Fletcher" <[email-masked]>
Date: Mon, 17 Nov 2008 15:50:06 -0500

> From: Eli Zaretskii [mailto:[email-masked]] 
> Sent: Saturday, November 15, 2008 4:41 AM
> To: Themba Fletcher; [email-masked]
> Cc: [email-masked]

> > From: "Themba Fletcher" <[email-masked]>
> > Date: Fri, 14 Nov 2008 17:46:19 -0500
> > Cc: 

> > When migrating to Emacs 22.3.1 on microsoft windows, the following
> > lines in my .emacs file do not behave as expected:

> >   (set-frame-position (selected-frame) 0 0)
> >   (sleep-for 2) ; not originally in my .emacs -- testing only
> >   (set-frame-width (selected-frame) 150)
> >   (sleep-for 2)
> >   (set-frame-height (selected-frame) 55)
> >   (sleep-for 2))

> (Extra paren here^)

Whoops, this was nested in an expression while I was testing.

> > This used to leave me with a 150 X 55 frame located at 0,0 on my
> > display but it instead now leaves me with a default size frame still
> > located at 0,0 as expected.

> This leaves me with a 80x55 frame located at (0,0), not a default size
> frame.  I see this both in Emacs 22.3.1 and in the current CVS trunk.

> So, while still not entirely correct, the behavior I see is different,
> and I wonder why.  Is the above the _only_ contents of your .emacs?

No, but the behavior held even when the rest of my .emacs was commented out.
Please feel free to play with my original .emacs file, attached.

I was upgrading, due to standard windows problems (ie I had to reformat and
reinstall), from Emacs 22.1 when I found this. Over the weekend I moved my
home machine from Emacs 22.2 to 22.3 and discovered two things:

1. The bug is present in 22.2
2. (set-frame-size) is not affected, and is probably a better work-around
than I gave in my previous message.